# $Revision: 1.27 $, $Date: 2008/01/01 12:55:22 $
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_with	verbose		# verbose build (V=1)
#
%ifarch sparc
%undefine	with_smp
%endif
#
%define		_snap	2007032610
%define		_rel	0.%{_snap}.1
Summary:	Linux driver for WLAN cards based on RT2x00 chipsets
Summary(pl.UTF-8):	Sterownik dla Linuksa do kart WLAN opartych na układach RT2x00
Name:		rt2x00
Version:	2.0.0
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://rt2x00.serialmonkey.com/%{name}-cvs-daily.tar.gz
# Source0-md5:	371557c5f055a596109c235f802524d5
Patch0:		%{name}-config.patch
Patch1:		%{name}-Makefile.patch
URL:		http://rt2x00.serialmonkey.com/
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.17}
BuildRequires:	rpmbuild(macros) >= 1.330
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	modules	80211,crc-itu-t,eeprom_93cx6,rc80211_simple,rfkill,rt2x00lib,rt2400pci,rt2500pci,rt2500usb,rt61pci,rt73usb,rt2x00debug

%description
A configuartion tool for WLAN cards based on RT2x00 chipsets.

%description -l pl.UTF-8
Narzędzie konfiguracujne do kart WLAN opartych na układach RT2x00.

%package -n kernel%{_alt_kernel}-net-rt2x00
Summary:	Linux kernel driver for WLAN cards based on RT2x00 chipsets
Summary(pl.UTF-8):	Sterownik jądra Linuksa dla kart WLAN opartych na układach RT2x00
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif

%description -n kernel%{_alt_kernel}-net-rt2x00
This is a Linux driver for WLAN cards based on RT2x00 chipsets.

%description -n kernel%{_alt_kernel}-net-rt2x00 -l pl.UTF-8
Sterownik jądra Linuksa dla kart WLAN opartych na układach RT2x00.

%prep
%setup -q -n %{name}-cvs-%{_snap}
%patch0 -p1
%patch1 -p1

%build
%{__perl} -nle 'next if /DEBUG/; /^(CONFIG_.+)=([yn])\b/ and print $2 eq "y" ? "#ifndef $1\n#define $1\n#endif\n" : "#undef $1\n"' config >rt2x00_config.h
%build_kernel_modules -m %{modules}

%install
rm -rf $RPM_BUILD_ROOT

%install_kernel_modules -m %{modules} -d kernel/drivers/net/wireless

%clean
rm -rf $RPM_BUILD_ROOT

%post -n kernel%{_alt_kernel}-net-rt2x00
%depmod %{_kernel_ver}

%postun -n kernel%{_alt_kernel}-net-rt2x00
%depmod %{_kernel_ver}

%files -n kernel%{_alt_kernel}-net-rt2x00
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/drivers/net/wireless/*.ko*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rt2x00.spec,v $
Revision 1.27  2008/01/01 12:55:22  witekfl
- encoded in UTF-8

Revision 1.26  2007-03-26 15:55:44  radek
- snap 2007032610

Revision 1.25  2007/03/26 15:12:26  radek
- snap 2007032609, updated to new macros, removed bogus description from previous change

Revision 1.23  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.21  2006/11/14 20:36:22  sparky
- BR: rpmbuild(macros) >= 1.330 -- build_kernel_modules fix for kernels 2.6.18

Revision 1.20  2006/11/13 18:01:45  sparky
- %{_alt_kernel} support
- use %build_kernel_modules, %install_kernel_modules macros
- added Makefile patch

Revision 1.19  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.18  2006/08/20 13:21:16  qboosh
- 2006082007, updated md5

Revision 1.17  2006/08/20 11:54:53  wiget
- updated to snap 2006082005

Revision 1.16  2006/08/12 18:07:57  ankry
- formatting

Revision 1.15  2006/08/10 19:25:36  radek
- snap 2006081013, min kernel 2.6.17

Revision 1.14  2006/08/07 17:48:10  radek
- removed -2.6.14.patch; this won't work

Revision 1.13  2006/06/29 10:18:38  radek
- version 2006062902, added -2.6.14.patch

Revision 1.12  2006/06/01 00:51:08  wiget
- updated to 2006053115

Revision 1.11  2006/05/19 05:36:18  wiget
- updated to 2006051821

Revision 1.10  2006/05/15 13:14:05  wiget
- updated to 2006051505 cvs snap

Revision 1.9  2006/05/15 13:09:38  wiget
- md5 fix

Revision 1.8  2006/05/15 12:39:57  wiget
- updated to 2006051313 cvs snapshot
- build.patch not needed now
  NOTE: this uses (and provides) Devicescape IEEE80211 stack.
      You can't set some parameters (like keys) using standard
      wireless-tools package.

Revision 1.7  2006/04/22 01:53:47  aredridel
- build fix

Revision 1.6  2006/04/14 15:32:53  adamg
- up packages shouldn't require smp kernel (noticed by Enleth)
- fix build on 2.6.16

Revision 1.5  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.4  2006/02/19 14:45:00  qboosh
- spec renamed to rt2x00.spec

Revision 1.3  2006/02/17 21:46:19  qboosh
- pl and cleanups; spec needs rename

Revision 1.2  2006/02/14 07:24:04  aredridel
- partially builds, NFY

Revision 1.1  2006/02/13 09:00:04  aredridel
- added, NFY
